Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001902opensim[REGION] OpenSim Corepublic2008-08-07 11:582011-08-06 01:11
Reportergreg0254 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001902: Flexible path prim in a linkset loses phantom property upon re-rezzing or sim restart
DescriptionWhenever a linkset has one or more prims set up as flexible path, the prims lose their phantom property whenever the object is re-rezzed from inventory, or whenever the simulator is taken down and restarted.

This seems to be related to mantis# 0001011, which was previously closed.
Additional InformationHere is a very simple demonstration of the problem:

On one of your own regions,
(1) create a prim, size x=0.2,y=4.0,z=4.0
(2) rotate it x=90
(3) shift-copy or use copy selection to create a prim next to it
(4) change one of the prims to flexible path
(5) link the two prims together (i made the non-flex prim the root, not sure that it matters)

You can now walk through the flexible prim, but not the other (as expected).

Now take a copy of the linkset, and rez it nearby. You now cannot walk through either prim of the newly rezzed object. If you examine the properties of the flexible prim, it shows the flexi parameters, but under the object tab the phantom box is no longer checked.

Now restart the region. After doing this, the flexible prim in the original linkset also loses its phantom status.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0002435closedjustincc Flexi Prim Attachments do not retain state between log-ins 
child of 0002870new META - Linking issues 

-  Notes
(0004252)
dahlia (administrator)
2008-08-07 13:58

I think the problem here is our physics cannot currently separate phantom from non-phantom prims in a single linkset. The prims will still maintain the flexible path property and should display as flexible in the viewer.

A workaround may be to separate the flexible prims from the linkset, or set the entire linkset as phantom.
(0004253)
greg0254 (reporter)
2008-08-07 14:04

This definitely is NOT a high priority issue at the moment. I do want to make sure you realize, however, that it does work correctly when it is first linked. It is only when it is taken into inventory and re-rezzed, or when the sim is restarted, that it loses the phantom status.

Another workaround is to unlink the flexible prim and re-link it. This restores the phantom status to the prim.
(0004254)
dahlia (administrator)
2008-08-07 14:42

I'm not certain it works correctly in the first condition you described, it could be *appearing* to work correctly due to the order the collision meshes were generated prior to linking, but the code that would allow the mesh generator to differentiate between flexible and non-flexible prims in a link set is incomplete.

This is a known difference between sl and opensim, It may be considered a bug in either implementation as flexible prims in sl do not respond to server-side physics other than wind. Nonetheless, it should be addressed in some manner.
(0013411)
Fly-Man- (developer)
2009-09-18 06:46

This issue was automatically checked by Mantis Issue Check:

Feedback was added after original submit date
(0019374)
makopoppo (manager)
2011-08-06 01:11

Tested it with 0.7.2-dev. Object actual phantom status persists over re-rezzing and restarting. Closing it for now. If you still see this problem, please reopen it.

- Issue History
Date Modified Username Field Change
2008-08-07 11:58 greg0254 New Issue
2008-08-07 11:58 greg0254 SVN Revision => 5781
2008-08-07 11:58 greg0254 Run Mode => Grid (1 Region per Sim)
2008-08-07 11:58 greg0254 Physics Engine => ODE
2008-08-07 11:58 greg0254 Environment => .NET / Windows32
2008-08-07 13:58 dahlia Note Added: 0004252
2008-08-07 14:04 greg0254 Note Added: 0004253
2008-08-07 14:42 dahlia Note Added: 0004254
2009-01-21 03:17 lbsa71 Relationship added child of 0002870
2009-09-18 06:46 Fly-Man- Note Added: 0013411
2009-09-18 06:46 Fly-Man- Status new => feedback
2011-07-14 07:53 makopoppo Relationship added related to 0002435
2011-08-06 01:11 makopoppo Mono Version => None
2011-08-06 01:11 makopoppo Note Added: 0019374
2011-08-06 01:11 makopoppo Status feedback => closed
2011-08-06 01:11 makopoppo Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker